Subject: Re: bug#24891: 25.1: Falsehood on page "Major Modes" of Emacs manual.

From: Dmitry Gutov <[email-masked]>
Date: Mon, 7 Nov 2016 02:05:24 +0200

On 07.11.2016 00:18, Alan Mackenzie wrote:

> This is not true.  A counter example is stand alone CC Mode.  There will
> be other examples, too, in code not maintained by Emacs.  I suggest
> amending this sentence to something like:
>
>     many programming language modes (including all these distributed
>     with Emacs) run `prog-mode-hook', prior to runnuing their own mode
>     hooks.

I believe the idea is to equate "programming language mode" with 
"deriving from prog-mode".

To give a strong signal to major mode authors.